# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="an Open Source Security Assertion Markup Language implementation"
HOMEPAGE="http://www.opensaml.org/"
SRC_URI="http://shibboleth.internet2.edu/downloads/${PN}-${PV}.tar.gz"

RESTRICT="mirror"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~x86"
IUSE="doc"

DEPEND=">=dev-libs/openssl-0.9.7
	=dev-libs/log4cpp-0.3.5_rc1
	>=dev-libs/xerces-c-2.6.1
	=dev-libs/xml-security-c-1.3.0"

S=${WORKDIR}/opensaml-1.1

src_unpack() {
	unpack ${A}
	cd "${S}"
}

src_compile() {
	econf || die "econf failed"
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"

	dodoc FAQ NEWS README
	dohtml EXTENDING.html ctags.html
}
