# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

SLOT="0"

LICENSE="Apache-2.0"

KEYWORDS="~x86 amd64"

DESCRIPTION="XML-Security is a collection of C++ libraries that provide security functionality for XML data."

SRC_URI="http://xml.apache.org/security/dist/c-library/${P}.tar.gz"

RESTRICT="mirror"

HOMEPAGE="http://xml.apache.org/security/c/index.html"

IUSE="debug doc"

DEPEND="dev-libs/xerces-c
	>=dev-libs/openssl-0.9.7"

S="${WORKDIR}/${P}/src"

src_compile() {
	econf \
	$(use_with xalan) \
	$(use_enable debug) \
	|| die "Error: econf failed!"
	emake lib || die "Error: emake failed!"
}

src_install() {
	dodir /usr/$(get_libdir)
	make DESTDIR="${D}" install || die "Error: make install failed!"

	if use doc ; then
		insinto /usr/share/doc/${PF}
		doins -r ${S}/doc/*
	fi
}
