# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="standards-based middleware which provides Web Single SignOn (SSO) across or within organizational boundaries."
HOMEPAGE="http://shibboleth.internet2.edu"
SRC_URI="http://shibboleth.internet2.edu/downloads/${PN}-${PV}.tar.gz"

RESTRICT="mirror"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~x86"
IUSE="doc"

DEPEND=">=dev-libs/openssl-0.9.7
	=dev-libs/log4cpp-0.3.5_rc1
	>=dev-libs/xerces-c-2.6.1
	=dev-libs/xml-security-c-1.3.0
	=dev-cpp/opensaml-1.1b"

S=${WORKDIR}/shibboleth-1.3

src_unpack() {
	unpack ${A}
	cd "${S}"
}

src_compile() {
	econf \
	--enable-apache-20 \
	|| die "econf failed"
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"

	dodoc FAQ NEWS README
	dohtml EXTENDING.html ctags.html
}
